 /*
  * Khoros: $Id: bootstrap.h,v 1.8 1996/06/26 22:12:23 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */



/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: This file contains the #includes that
   >>>>		       are required by all programs within bootstrap
   >>>>
   >>>>    Written By: Mark Young & John Salas
   >>>>
   >>>>          Date: Apr 02, 1994
   >>>>
   >>>> Modifications: 
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */
   
#ifndef _bootstrap_h_
#define _bootstrap_h_

/* LINTLIBRARY */

        /*-------------------------------------*
        |       #include 
        ---------------------------------------*/

#include <machine/cdefs.h>
#include <machine/kmachine.h>
#include <machine/includes.h>
#include <kutils/kutils.h>
#include <klibdb/klibdb.h>
#include <klibm/klibm.h>
#include <kexpr/kexpr.h>
#include <kforms/kforms.h>
#include <kclui/kclui.h>
#include <kcms/kcms.h>
#include <kcodegen/kcodegen.h>


       /*-------------------------------------*
        |       #defines
        ---------------------------------------*/

        /*
         *  Define for the current release name, and major and minor version
         *  number.
         */
#define KHOROS_RELEASE_NAME "Khoros Release"
#define KHOROS_RELEASE_DATE "July 8, 1996"
#define KHOROS_RELEASE_VERSION 2
#define KHOROS_RELEASE_MAJOR 1
#define KHOROS_RELEASE_MINOR 0


        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/


        /*-------------------------------------*
        |       macros
        ---------------------------------------*/


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

#endif /* _bootstrap_h_ */
/* Don't add after the endif */
