
 /*
  * Khoros: $Id: exemplar.h,v 1.2 1996/07/03 03:53:14 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:
   >>>>
   >>>>    Written By: (please port)
   >>>>
   >>>>          Date:
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_exemplar_h_
#define _machine_exemplar_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KVFORK_DEF 1
#define KTEMPNAM_DEF 1

/*
 *  Tranports currently supported by Khoros under the (exemplar)
 *  architecture
 */
#define KFILE_DEF
#define KSOCKET_DEF
#define KPIPE_DEF
#define KSHM_DEF
#define KSTREAM_DEF
#define KMMAP_DEF

/*
 * Define which math functions are not defined so that local
 * definitions can be included.
 */
#define KASINH_DEF
#define KACOSH_DEF
#define KATANH_DEF
#define KEXPM1_DEF
#define KEXP2_DEF
#define KEXP10_DEF
#define KLOG1P_DEF
#define KLOG2_DEF
#define KCBRT_DEF
#define KTRUNC_DEF
#define KRANDOM_DEF
#define KSRANDOM_DEF

/*
 *  X11 extensions currently supported by Khoros under the (exemplar)
 *  architecture
 */
#define KMITSHM_DEF


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

#endif /* _machine_exemplar_h_ */
/* Don't add after this point */
