 /*
  * Khoros: $Id: kgentb.h,v 1.11 1996/07/05 01:33:39 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for kgentb
   >>>> 
   >>>>    Written By: Steven Jorgensen
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: Jul 04, 1996
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _kgentb_h_
#define _kgentb_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <bootstrap.h>

/* -include_includes */
#include "kcms/kcms.h"
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

#define PANEPATH "$BOOTSTRAP/objects/kroutine/kgentb/uis/kgentb.pane"
        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  toolbox to create (required string)
 */
char	*tb_string;	/* toolbox to create STRING */
int	 tb_flag;   	/* toolbox to create FLAG */

/*
 *  toolbox path (required string)
 */
char	*path_string;	/* toolbox path STRING */
int	 path_flag;   	/* toolbox path FLAG */

/*
 *  toolbox author (optional string)
 */
char	*author_string;	/* toolbox author STRING */
int	 author_flag;   	/* toolbox author FLAG */

/*
 *  toolbox title (optional string)
 */
char	*title_string;	/* toolbox title STRING */
int	 title_flag;   	/* toolbox title FLAG */

/*
 *  toolbox info path (optional string)
 */
char	*info_string;	/* toolbox info path STRING */
int	 info_flag;   	/* toolbox info path FLAG */

/*
 *  add toolbox instead of generate? (optional flag)
 */
int	 add_flag;  	/* add toolbox instead of generate? FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

void main PROTO((int, char **));
void kgentb_get_args PROTO((kform *));
void kgentb_usage_additions PROTO((void));
void kgentb_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
