 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 01:34:05 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 01:34:05 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "krename.h"
/*-----------------------------------------------------------
| 
|  Routine Name: krename_get_args
| 
|       Purpose: Gets command line args for krename
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname krename
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void krename_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for krename is out of sync with arguments specified in krename's *.pane file; please rerun ghostwriter on krename.";


	/*
	 * allocate the krename structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_string(pane, "tb",
			  &(clui_info->tb_string),
			  &(clui_info->tb_flag))))
	{
	    kerror(NULL, "krename_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "oname",
			  &(clui_info->oname_string),
			  &(clui_info->oname_flag))))
	{
	    kerror(NULL, "krename_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "new",
			  &(clui_info->new_string),
			  &(clui_info->new_flag))))
	{
	    kerror(NULL, "krename_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



