#include "bootstrap.h"
 
void main(
   int  argc,
   char *argv[])
{
	kfile *file1, *file2;
	char  *cmd, command[KLENGTH];

	if (argc > 1)
	   cmd = argv[1];

	kremote_exec("$KHOROS_TESTHOST", cmd, command);
        if ((file1 = kpopen(command, "r")) == NULL ||
            (file2 = kpopen(command, "r")) == NULL)
        {
           kexit(KEXIT_FAILURE);
        }

	if (kfile_comparedata(kfileno(file1), kfileno(file2), (size_t) 0, NULL) != 0)
	{
	   kfprintf(kstderr, "Comparing output of command '%s' incorrect\n",
			command);
	   kexit(KEXIT_FAILURE);
	}
	kprintf("Success!\n");
	kpclose(file1); kpclose(file2);
	kexit(KEXIT_SUCCESS);
}
