#include "bootstrap.h"
 
main(
   int  argc,
   char *argv[])
{
	char    buf[KLENGTH], filename[KLENGTH];
	char    temp1[KLENGTH], temp2[KLENGTH], *path;
	size_t  i;
	off_t   len1, len2, position;
	int     fid1, fid2;
	ssize_t size1, size2;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
	else
	   kexit(KEXIT_FAILURE);

	if ((fid1 = open(path, O_RDONLY, 0666))  == -1 ||
	    (fid2 = kopen(path, KOPEN_RDONLY, 0666)) == -1)
	{
	   kexit(KEXIT_FAILURE);
	}

	len1 = lseek(fid1,  (off_t) 0, SEEK_END);
	len2 = klseek(fid2, (off_t) 0, SEEK_END);
	if (len1 != len2)
	{
	   kexit(KEXIT_FAILURE);
	}

	for (i = 0; i < len1; i++)
	{
	   position = (off_t) (kurng() * (len1-1));
	   lseek(fid1, position, SEEK_SET);
	   klseek(fid2, position, SEEK_SET);
	   size1 = read(fid1, temp1, (size_t) KLENGTH);
	   size2 = kread(fid2, temp2, (size_t) KLENGTH);
	   if (size1 == size2)
	   {
	      if (kmemcmp(temp1, temp2, (size_t) size1) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else
	      kexit(KEXIT_FAILURE);
	}
	close(fid1); kclose(fid2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
