#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	kfile *file1, *file2;
	long  i, len1, position;
	char  temp1[KLENGTH], temp2[KLENGTH], *path, *status1, *status2;


	if (argc > 1)
	   path = argv[1];
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = kfopen(path, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}

        ksprintf(temp1, "cat %s", path);
        if ((file2 = kpopen(temp1, "r")) == NULL)
        {
           kexit(KEXIT_FAILURE);
        }
	(void) kfseek(file1, (long) 0, SEEK_END); len1 = kftell(file1);

	for (i = 0; i < len1; i++)
	{
	   position = (long) (kurng() * (len1-1));
	   kfseek(file1, position, SEEK_SET);
	   kfseek(file2, position, SEEK_SET);
	   status1 = kfgets(temp1, KLENGTH, file1);
	   status2 = kfgets(temp2, KLENGTH, file2);
	   if (status1 && status2)
	   {
	      if (kstrcmp(temp1, temp2) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else if (status1 || status2)
	      kexit(KEXIT_FAILURE);

	}
	kfclose(file1); kpclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
