#! /bin/sh

#tbpath=`kecho -tb dip -echo path`
tbpath=/research/devel/mirage/dip_course_alpha
if [ "$tbpath" = "" ]; then
   exit 0
fi

list=`cat $tbpath/repos/Aliases | grep -v "^#" | grep ':' | awk '{ print $1 }'`
if [ "$list" = "" ]; then
   exit 0
fi

status=0
for alias in $list;
   do ./ktest $alias; if [ $? != 0 ]; then status=1; fi;
done
exit $status
