#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
   kstring  path;
   kstring  variable = "FRED";


   if (!ktoolbox_initialize())
   {
      kfprintf(kstderr, "ktoolbox_initialize() failed!\n");
      kexit(KEXIT_FAILURE);
   }

   if (!ktoolbox_add(variable, "/tmp/fred"))
   {
      kfprintf(kstderr, "ktoolbox_add() failed!\n");
      kexit(KEXIT_FAILURE);
   }

   if (!ktoolbox_delete(variable))
   {
      kfprintf(kstderr, "ktoolbox_delete() failed!\n");
      kexit(KEXIT_FAILURE);
   }

   path = ktoolbox_path(variable);
   if (path != NULL)
   {
      kfprintf(kstderr, "ktoolbox_path() returned \"%s\"\n", path);
      kexit(KEXIT_FAILURE);
   }

   kfprintf(kstderr, "Success: ktoolbox_path() returned NULL\n");
   kexit(KEXIT_SUCCESS);
}
