#
# Khoros Setup for sh/bash/ksh/zsh
#

# The following lines were added automatically, by Khoros kconfigure script
#
# These are default values for environment
# variables used by Khoros.

KHOROS_TOOLBOX=$HOME/.Toolboxes:/usr/local/khoros/Toolboxes
KHOROS_LOG=$HOME/.khoros.cmdlog
KHOROS_MAIL=$USER
KHOROS_NAME=$USER
KHOROS_NOTIFY=STANDARD
KHOROS_ANSFILE=$HOME/khoros.ans
:   ${TMPDIR:=/usr/tmp}
export KHOROS_TOOLBOX KHOROS_LOG KHOROS_MAIL KHOROS_NAME KHOROS_NOTIFY KHOROS_ANSFILE TMPDIR

test -f $HOME/.Toolboxes ||\
echo '# Personal Khoros 2 Toolboxes Will be Listed Below' >> $HOME/.Toolboxes

#
# Uncomment this if you would like data objects to accumulate
# history when operated on by datamanip operators.
#
#KHOROS_HISTORY=1
#export KHOROS_HISTORY

# New PATH setting to execute Khoros binaries

PATH=$PATH:/usr/local/khoros/bin
export PATH

# Set platform-specific run-time library environment variables for Khoros

if [ "${LD_LIBRARY_PATH}" = "" ]; then
   LD_LIBRARY_PATH=/usr/local/khoros/lib
else
   LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/local/khoros/lib
fi

export LD_LIBRARY_PATH

