#! /bin/sh

echo "running test2.sh for kstats ... process ($$)"

# ------------------------------------------------------------------------
#  set path for	temporary directory
# ------------------------------------------------------------------------
tmpdir=${TMPDIR:-/tmp}
BINARY_PATH=${BINARY_PATH:-`kecho -tb DATAMANIP -echo binpath`}

${BINARY_PATH}/kstats -i image:moon -f $tmpdir/jnk1.$$ -all
${BINARY_PATH}/kstats -i image:head -f $tmpdir/jnk2.$$ -all
cat $tmpdir/jnk1.$$ $tmpdir/jnk2.$$ > $tmpdir/jnk.$$
/bin/rm -f $tmpdir/jnk1.$$ $tmpdir/jnk2.$$

if cmp -s $tmpdir/jnk.$$ test2.results/baseline; then \
   echo "Passed:  Test  1 --> kstats ascii output"; \
   status=0; \
else \
   echo "FAILED:  Test  1 --> kstats ascii output"; \
   status=1; \
fi
/bin/rm -f $tmpdir/jnk.$$

exit $status
