/*
  * Khoros: $Id: RowColP.h,v 1.1 1996/05/06 22:00:14 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       rowcol manager.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_RowColP_h_
#define _kwidgets_RowColP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <kwidgets/ManagerP.h>
#include <kwidgets/RowCol.h>


    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwRowColWidgetClassPart
{
    XtPointer  extension;
} XvwRowColWidgetClassPart;


typedef struct _XvwRowColWidgetClassRec
{
    CoreClassPart       core_class;
    CompositeClassPart  composite_class;
    ConstraintClassPart constraint_class;
    XvwManagerWidgetClassPart   manager_class;
    XvwRowColWidgetClassPart    rowcol_class;
} XvwRowColWidgetClassRec;

typedef struct
{
    int		number_across;
    int		spacing;
    int		packing;

} XvwRowColPart;


typedef struct _XvwRowColWidgetRec
{
    CorePart	  core;
    CompositePart  composite;
    ConstraintPart constraint;
    XvwManagerPart manager;
    XvwRowColPart  rowcol;
} XvwRowColWidgetRec;

typedef struct {

    Boolean active;

} XvwRowColConstraintsPart;

typedef struct _XvwRowColWidgetConstraintsRec {
    XvwManagerConstraintsPart	manager;
    XvwRowColConstraintsPart	rowcol;
} XvwRowColWidgetConstraintsRec, *XvwRowColWidgetConstraints;

typedef struct  _XvwRowColWidgetClassRec   *XvwRowColWidgetClass;
typedef struct  _XvwRowColWidgetRec        *XvwRowColWidget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwRowColWidget
 */
extern  XvwRowColWidgetClassRec xvwRowColWidgetClassRec;


#endif /* _kwidgets_RowColP_h_ */
/* Don't add after this point */
