 /*
  * Khoros: $Id: xvfile.h,v 1.4 1996/04/19 09:33:41 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for InputFile/OutputFiles      <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvfile_h_
#define _xvforms_xvfile_h_

/*------------------------------------------------------------------------
| Attribute:    XVF_FILE_CHECK
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/FileCheck.sec
| Type:         int
| Valid Items:  InputFiles, 
|               .br
|               OutputFiles
| Legal Values: TRUE/FALSE
------------------------------------------------------------------------*/
#define XVF_FILE_CHECK  KVF_FILE_CHECK

/*------------------------------------------------------------------------
| Attribute:    XVF_FILE_DEF
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/FileDef.sec
| Type:         char *
| Valid Items:  InputFiles, 
|               .br
|               OutputFiles
| Legal Values: any file name
------------------------------------------------------------------------*/
#define XVF_FILE_DEF  KVF_FILE_DEF

/*------------------------------------------------------------------------
| Attribute:    XVF_FILE_NAME
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/FileName.sec
| Type:         char *
| Valid Items:  InputFiles, 
|               .br
|               OutputFiles
| Legal Values: any file name
------------------------------------------------------------------------*/
#define XVF_FILE_NAME  KVF_FILE_NAME

#endif /* _xvforms_xvfile_h_ */
/* Don't add after this line */

