 /*
  * Khoros: $Id: xvstr.h,v 1.4 1996/04/19 09:33:53 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Attributes for String selections          <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro                           <<<<
   >>>>                                                          <<<<
   >>>>          Date: Aug 4, 1995                               <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvforms_xvstr_h_
#define _xvforms_xvstr_h_

/*------------------------------------------------------------------------
| Attribute:    XVF_STRING_DEF
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/StringDef.sec
| Type:         char *
| Valid Items:  Strings
|		.br
|		StringLists
| Legal Values: any string
------------------------------------------------------------------------*/
#define XVF_STRING_DEF            KVF_STRING_DEF

/*------------------------------------------------------------------------
| Attribute:    XVF_STRING_MULTILINE
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/StringMultiLine.sec
| Type:         int
| Valid Items:  Strings
|		.br
|		StringLists
| Legal Values: TRUE/FALSE
------------------------------------------------------------------------*/
#define XVF_STRING_MULTILINE        KVF_STRING_MULTILINE

/*------------------------------------------------------------------------
| Attribute:    XVF_STRING_VAL
|
| Description:  .include $DESIGN/manual/shared/xvforms/attribs/StringVal.sec
| Type:         char *
| Valid Items:  Strings
|		.br
|		StringLists
| Legal Values: any string
------------------------------------------------------------------------*/
#define XVF_STRING_VAL         KVF_STRING_VAL

#endif /* _xvforms_xvstr_h_ */
/* Don't add after this line */

