/*
  * Khoros: $Id: RootWindow.h,v 1.4 1996/04/04 23:24:34 fas Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Attributes of  RootWindow Widget
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvobjects_RootWindow_h_
#define _xvobjects_RootWindow_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*
 *  Define the Class name, by which people should be externally referencing
 *  the RootWindow Object by.
 */
#define RootWindowWidgetClass	xvwRootWindowWidgetClass


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration RootWindowWidgetClass
 */
extern   WidgetClass     RootWindowWidgetClass;


        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

/*
 *  Khoros Function Definition for RootWindow Object
 */
xvobject xvw_create_rootwindow PROTO((char *, Display *, Screen *));


#endif /* _xvobjects_RootWindow_h_ */
/* Do not add after this line */
