 /* Khoros: $Id: internals.h,v 1.3 1996/05/14 00:39:57 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for kwidgets library
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Sep 29, 1993
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_internals_h_
#define _kwidgets_internals_h_


	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

#include <design.h>
#include <xvinclude.h>
#include <X11/IntrinsicP.h>
#include <X11/Xmu/Xmu.h>
#include <X11/Xmu/WinUtil.h>


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

#define KWIDGETS "kwidgets"


	/*-------------------------------------*
	|       #macros 
	---------------------------------------*/


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

void DefaultRefreshSelection  PROTO((Widget));
void DefaultEraseSelection    PROTO((Widget));
void ManagerDrawBorder        PROTO((Widget, Region, GC, GC, int, int, int, int,
				     unsigned int, unsigned int));
XtGeometryResult ManagerGeometryManager PROTO((Widget, XtWidgetGeometry *,
					XtWidgetGeometry *));


#endif /* _kwidgets_internals_h_ */
/* Don't add after this point */
