/*
 * Khoros: $Id: do_library.c,v 1.4 1996/04/04 23:37:40 fas Exp $
 */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: do_library.c,v 1.4 1996/04/04 23:37:40 fas Exp $";
#endif


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>         Functionality routines for pane library
   >>>> 
   >>>>  Private: 
   >>>>         library_create_library
   >>>>         library_library_name
   >>>> 
   >>>>   Static: 
   >>>>   Public: 
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "craftsman.h"

/*-----------------------------------------------------------
| Routine Name:	library_create_library
| 
| Purpose:	Do routine which is called when
|		pane action button create_library is used
| 
| Input:	library_info - ptr to PaneInfo struct for library pane
| 
| Output:	None
| Written By:	
| Date:		Jun 01, 1993
------------------------------------------------------------*/
/* ARGSUSED */
void
library_create_library(
   template_library * library_info)
{
   create_object(KCMS_LIBRARY, gui_info->template->bname, KCMS_NOLANG, FALSE);
}
