 /*
  * Khoros: $Id: usage.c,v 1.7 1996/07/05 01:56:39 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.7 1996/07/05 01:56:39 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "xvregister.h"
/*-----------------------------------------------------------
| 
|  Routine Name: xvregister_get_args
| 
|       Purpose: Gets command line args for xvregister
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname xvregister
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void xvregister_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for xvregister is out of sync with arguments specified in xvregister's *.pane file; please rerun ghostwriter on xvregister.";


	/*
	 * allocate the xvregister structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_flag(pane, "dummy",
			  &(clui_info->dummy_flag))))
	{
	    kerror(NULL, "xvregister_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



