 /*
  * Khoros: $Id: gimpfacet.h,v 1.7 1996/07/05 02:44:57 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for gimpfacet
   >>>> 
   >>>>    Written By: Steve Kubica
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: Jul 04, 1996
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _gimpfacet_h_
#define _gimpfacet_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <geometry.h>

/* -include_includes */
#include <geometry/geometry.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

#define PANEPATH "$GEOMETRY/objects/kroutine/gimpfacet/uis/gimpfacet.pane"
        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  input facet file (required infile)
 */
char	*i_file;	/* input facet file FILENAME */
int	 i_flag;	/* input facet file FLAG */

/*
 *  output geometry object (required outfile)
 */
char	*o_file;	/* output geometry object FILENAME */
int	 o_flag;	/* output geometry object FLAG */

/*
 *  object name (optional string)
 */
char	*name_string;	/* object name STRING */
int	 name_flag;   	/* object name FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

void main PROTO((int, char **));
void gimpfacet_get_args PROTO((kform *));
void gimpfacet_usage_additions PROTO((void));
void gimpfacet_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
