/* Khoros: $Id: dlapack.h,v 1.6 1996/07/02 20:48:35 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */
/* See $TOOLS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library dlapack
   >>>>
   >>>>       Toolbox: $TOOLBOX
   >>>>
   >>>>    Written By: Your name goes here!
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _dlapack_dlapack_h_
#define _dlapack_dlapack_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#if defined(KOPSYS_AIX) || defined(KOPSYS_HPUX) || defined(KOPSYS_EXEMPLAR)
#  define DGETRI dgetri
#  define DGETRF dgetrf
#  define DGESVD dgesvd
#  define DGEEV dgeev
#  define DGELS dgels
#else
#  if !defined(KOPSYS_UNICOS)
#    define DGETRI dgetri_
#    define DGETRF dgetrf_
#    define DGESVD dgesvd_
#    define DGEEV dgeev_
#    define DGELS dgels_
#  endif
#endif

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

void DGESVD	PROTO((char *, char *, long *, long *, double *, long *, double *, double *, long *, double *, long *, double *, long *, long *));

void DGETRF     PROTO((long *, long *, double *, long *, long *, long *));
void DGETRI     PROTO((long *, double *, long *, long *, double *, long *, long *));

void DGELS      PROTO((char *, long *, long *, long *, double *, long *, double *, long *, double *, long *, long *));

	/* Ghostwriter Prototypes:  Do Not Erase This Comment */


#endif /* _dlapack_dlapack_h_ */
/* Don't add after this point */
