 /*
  * Khoros: $Id: minvert.h,v 1.11 1996/07/05 03:06:49 mirage Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>> 
   >>>>       Purpose: Include file for minvert
   >>>> 
   >>>>    Written By: Scott Wilson 13 Aug 1994
   >>>> 
   >>>> Modifications: 
   >>>> 
   >>>>          Date: Jul 04, 1996
   >>>> 
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */


#ifndef _minvert_h_
#define _minvert_h_

        /*-------------------------------------*
         |       #includes
        ---------------------------------------*/

#include <matrix.h>

/* -include_includes */
#include <kmatrix/kmatrix.h>
/* -include_includes_end */


        /*-------------------------------------*
         |       #defines
        ---------------------------------------*/

/* -include_defines */
/* -include_defines_end */

#define PANEPATH "$MATRIX/objects/kroutine/minvert/uis/minvert.pane"
        /*-------------------------------------*
         |       typedefs
        ---------------------------------------*/

typedef struct _clui_info_struct {

/*
 *  Input matrix (required infile)
 */
char	*i_file;	/* Input matrix FILENAME */
int	 i_flag;	/* Input matrix FLAG */

/*
 *  Output matrix (required outfile)
 */
char	*o_file;	/* Output matrix FILENAME */
int	 o_flag;	/* Output matrix FLAG */

/*
 *  Invert diagonal only (optional flag)
 */
int	 diag_flag;  	/* Invert diagonal only FLAG */

} clui_info_struct;

/* -include_typedefs */
/* -include_typedefs_end */


        /*-------------------------------------*
         |       global variable declarations
        ---------------------------------------*/

extern clui_info_struct *clui_info;
/* -include_variables */
/* -include_variables_end */


        /*-------------------------------------*
         |       macros
        ---------------------------------------*/

/* -include_macros */
/* -include_macros_end */

        /*-------------------------------------*
         |       routine definitions
        ---------------------------------------*/

void main PROTO((int, char **));
void minvert_get_args PROTO((kform *));
void minvert_usage_additions PROTO((void));
void minvert_free_args PROTO((kexit_status, kaddr));

/* -include_routines */
/* -include_routines_end */

#endif
