/* Khoros: $Id: initialize.c,v 1.5 1996/04/05 00:36:17 fas Exp $ */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: initialize.c,v 1.5 1996/04/05 00:36:17 fas Exp $";
#endif


/* Copyright (C) 1993 - 1996, Khoral Research, Inc.   All rights reserved. */
/* See $KHOROS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>		Library Routine for dlapack
   >>>>		
   >>>>  Private:
   >>>>                 dlapack_initialize()
   >>>>                 etime_()
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "internals.h"


/*-----------------------------------------------------------
|
|  Routine Name: dlapack_initialize - a dummy routine for dlapack
|
|       Purpose: This is a dummy routine for dlapack, but you never know.
|
|         Input:
|        Output:
|       Returns: TRUE (1) on success, FALSE (0) otherwise
|
|    Written By: Jeremy Worley
|          Date: Apr 10, 1994
| Modifications:
|
------------------------------------------------------------*/

int dlapack_initialize(void)
{
	return(TRUE);
}

#if (defined(KOPSYS_OSF) || defined(KOPSYS_SUNOS) || defined(KOPSYS_SOLARIS) || defined(KOPSYS_LINUX)) && ( Usef2c || Useg77 )

/* (Thanks to David M. Gay dmg@research.att.com) */
#include <limits.h>
#include <sys/types.h>
#include <sys/times.h>

double etime_()
{
  struct tms t;
 
  times(&t);
#if defined(KOPSYS_SOLARIS)
  return(t.tms_utime / _sysconf(3));
#else
  return(t.tms_utime / sysconf(3));
#endif
}

#endif

