 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 03:35:10 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 03:35:10 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "kgenwhatis.h"
/*-----------------------------------------------------------
| 
|  Routine Name: kgenwhatis_get_args
| 
|       Purpose: Gets command line args for kgenwhatis
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kgenwhatis
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void kgenwhatis_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for kgenwhatis is out of sync with arguments specified in kgenwhatis's *.pane file; please rerun ghostwriter on kgenwhatis.";


	/*
	 * allocate the kgenwhatis structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_string(pane, "tb",
			  &(clui_info->tb_string),
			  &(clui_info->tb_flag))))
	{
	    kerror(NULL, "kgenwhatis_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



