/*
 * Khoros: $Id: private.h,v 1.8 1996/04/04 22:38:40 fas Exp $
 */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Include file for code generation library,
   >>>>		       semi-private APIs
   >>>>
   >>>>    Written By: Steven Jorgensen
   >>>>
   >>>>          Date: Dec 26, 1995
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kcodegen_private_h_
#define _kcodegen_private_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

/* various formats for output of CLUI usage */
#define KGEN_CLUI_PSTR_SYNTAX    1
#define KGEN_CLUI_MAN1_SYNTAX    2
#define KGEN_CLUI_INFO_STRUCT    3
#define KGEN_CLUI_GETARGS_SYNTAX 4
#define KGEN_CLUI_HELP_SYNTAX    5
#define KGEN_CLUI_PRINT_USAGE    6

/* #define prog types for kgen_initialize */
#define KGEN_NONE       0
#define KGEN_KROUTINE   1
#define KGEN_XVROUTINE  2
#define KGEN_PANE       3

/* #define locations for standard argument *.pane files */
#define KGEN_KSTDARGS_PANEPATH    "$BOOTSTRAP/objects/library/kcodegen/uis/kstdargs.pane"
#define KGEN_XVSTDARGS_PANEPATH   "$BOOTSTRAP/objects/library/kcodegen/uis/xvstdargs.pane"

#define KGEN_VERSION "%s %d.%d.%d (%s)"


	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/*-- utility print routines for standardized headers --*/
/* print_util.c */
void  kgen_pubsrc_hdr           PROTO((kfile *, char *, char *, char *, char *,
                                        char *, char *, char *, char *, char *,
                                        char *, char *, char *));
void  kgen_privsrc_hdr          PROTO((kfile *, char *, char *, char *, char *,
                                        char *, char *));
void kgen_scriptsrc_hdr         PROTO((kfile *, char *, char *, char *, char *,
                                        char *));
int  kgen_rcs_save              PROTO((kstring, kstring *, kstring *));
void kgen_rcs_chdr              PROTO((kfile *, kstring, kstring));
void kgen_rcs_hhdr              PROTO((kfile *, kstring, kstring));
void kgen_rcs_shhdr             PROTO((kfile *, kstring, kstring));
void kgen_inclfile_hdr          PROTO((kfile *, char *, char *, char *));
void kgen_inclfile_incl_comm    PROTO((kfile *));
void kgen_inclfile_def_comm     PROTO((kfile *));
void kgen_inclfile_typedef_comm PROTO((kfile *));
void kgen_inclfile_global_comm  PROTO((kfile *));
void kgen_inclfile_macro_comm   PROTO((kfile *));
void kgen_inclfile_routine_comm PROTO((kfile *));
void kgen_srcfile_hdr           PROTO((kfile *, char *, char **, size_t,
				       char **, size_t, char **, size_t));

#endif /* _kcodegen_private_h_ */
/* Don't add after this point */
