/*
 * Khoros: $Id: ktestutils.h,v 1.5 1996/05/31 23:20:39 mirage Exp $
 */
 
 
/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Definitions and prototypes for library ktestutils
   >>>>
   >>>>       Toolbox: $BOOTSTRAP
   >>>>
   >>>>    Written By: Neil Bowers
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _ktestutils_h_
#define _ktestutils_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/


	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

#define KTEST_FAIL	FALSE
#define KTEST_PASS	TRUE

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/


	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/


	/*-------------------------------------*
	|       macros
	---------------------------------------*/


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

void ktest_begin   (kstring, kstring);
void ktest_end     (void);
void ktest_case    (kstring);
void ktest_result  (int);
void ktest_fatal   (kstring, kvalist);


#endif /* _ktestutils_h_ */
/* Don't add after this point */
