 /*
  * Khoros: $Id: includes.h,v 1.6 1996/04/04 22:39:29 fas Exp $
  */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: This file contains the generic system include files
   >>>>		       needed for compiling Khoros
   >>>>
   >>>>    Written By: Mark Young, John Salas, Jeremy Worley
   >>>>
   >>>>          Date: Jul 16, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _machine_macro_h_
#define _machine_macro_h_

        /*-------------------------------------*
        |       #include 
        ---------------------------------------*/

/*
 *  We hope this will go away in the not so distant future.
 */
#include <machine/kopsys.h>

#include <stdio.h>
#include <setjmp.h>
#include <ctype.h>
#include <pwd.h>
#include <errno.h>
#include <string.h>
#include <fcntl.h>
#include <time.h>
#include <dirent.h>
#include <unistd.h>
#include <stddef.h>
#include <stdlib.h>
 
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/wait.h>


        /*-------------------------------------*
        |       defines
        ---------------------------------------*/
#ifndef EXIT_SUCCESS
#   define EXIT_SUCCESS 0
#endif
#ifndef EXIT_FAILURE
#   define EXIT_FAILURE 1
#endif

        /*-------------------------------------*
        |       typedefs
        ---------------------------------------*/

        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

        /*-------------------------------------*
        |       routine definitions
        ---------------------------------------*/

#endif /* _machine_macro_h_ */
/* Don't add after this point */
