 /*
  * Khoros: $Id: usage.c,v 1.13 1996/07/05 01:33:27 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.13 1996/07/05 01:33:27 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "kgenstruct.h"
/*-----------------------------------------------------------
| 
|  Routine Name: kgenstruct_get_args
| 
|       Purpose: Gets command line args for kgenstruct
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname kgenstruct
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void kgenstruct_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for kgenstruct is out of sync with arguments specified in kgenstruct's *.pane file; please rerun ghostwriter on kgenstruct.";


	/*
	 * allocate the kgenstruct structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "x",
			  &(clui_info->x_file),
			  &(clui_info->x_flag))))
	{
	    kerror(NULL, "kgenstruct_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "tb",
			  &(clui_info->tb_string),
			  &(clui_info->tb_flag))))
	{
	    kerror(NULL, "kgenstruct_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_string(pane, "oname",
			  &(clui_info->oname_string),
			  &(clui_info->oname_flag))))
	{
	    kerror(NULL, "kgenstruct_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



