/*
 * Khoros: $Id: internals.h,v 1.4 1996/04/04 22:51:08 fas Exp $
 */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose:	Private include file for library `klibm'.
   >>>>			This is (should be) included by all source
   >>>>			files comprising the library.  This file includes
   >>>>			the public include file for the library:
   >>>>				<klibm/klibm.h>
   >>>>
   >>>>       Toolbox: $BOOTSTRAP
   >>>>
   >>>>    Written By: Jeremy Worley
   >>>>
   >>>>          Date: 
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _klibm_internals_h_
#define _klibm_internals_h_


	/*-------------------------------------*
	|	#includes
	\--------------------------------------*/

#include <bootstrap.h>
#include <machine/kopsys.h>


	/*-------------------------------------*
	|	#defines
	\--------------------------------------*/


	/*-------------------------------------*
	|	typedefs
	\--------------------------------------*/


	/*-------------------------------------*
	|	global variable declarations
	\--------------------------------------*/


	/*-------------------------------------*
	|	macros
	\--------------------------------------*/


	/*-------------------------------------*
	|	routine definitions
	\--------------------------------------*/

/* libm.c */
double __kfmod   PROTO((double, double));
double __kasinh  PROTO((double));
double __kacosh  PROTO((double));
double __katanh  PROTO((double));
double __kexpm1  PROTO((double));
double __klog1p  PROTO((double));
double __kexp2   PROTO((double));
double __kexp10  PROTO((double));
double __klog2   PROTO((double));
double __kcbrt   PROTO((double));
double __kgamma  PROTO((double));
double __ktrunc  PROTO((double));
 
long __krandom   PROTO((void));
void __ksrandom  PROTO((int));

/* drand48.c */
long int klrand48 PROTO((void));
void ksrand48 PROTO ((long int));

#endif /* _klibm_internals_h_ */
/* Don't add after this point */
