eval 'exec perl -S $0 $*'
	if $runnning_under_some_shell;
#========================================================================#
#========================== BOILER PLATE CODE ===========================#
#========================================================================#

TBLOOP: foreach $tbfile (split(/:/, $ENV{'KHOROS_TOOLBOX'})) {
   open(TBFILE, "< $tbfile") || die "Can't read toolbox file $tbfile: $!\n";
   while (<TBFILE>) {
      push(@INC, "$1/repos/perl") if /^BOOTSTRAP:([^;:\n]+)/;
   }
   close TBFILE;
}

require 'tools-test.pl';

#========================================================================#
#======================= END OF BOILER PLATE CODE =======================#
#========================================================================#

$WORKDIR = &ktest_initialize('04.kcms-3');

$status = 0;
$LOGFILE = 'test.log';

$toolbox = &ktest_new_tbname();
print STDERR "New Toolbox Name: $toolbox\n";

system("./ktest 3 $toolbox $WORKDIR/$toolbox 2>&1 > $LOGFILE");
exit 1 if $? != 0;

open(OUTPUT, "< $LOGFILE") || do
{
   print "Unable to read $LOGFILE: $!\n";
   exit 1;
};

while (<OUTPUT>)
{
   if (/^BEGIN TOOLBOX LIST/)
   {
      undef @test_toolbox_list;
      while (<OUTPUT>)
      {
	 last if /^END TOOLBOX LIST/;
	 push(@test_toolbox_list, $1) if /^\s*(\S+)/;
      }

      @compare_list = &ktest_get_toolboxes();

      #-- find the difference between the two lists of toolboxes ------
      grep($seenTB{$_}++, @test_toolbox_list);
      @diff = grep(!$seenTB{$_}, @compare_list);

      if (int(@diff) != 0)
      {
	 print "Different number of toolboxes\n";
	 print "Difference: @diff\n";
	 $status = 1;
	 last;
      }
   }
}
close OUTPUT;

unlink $LOGFILE;

&ktest_end($WORKDIR);

exit $status;
