#include "bootstrap.h"
 
void main(
   int  argc,
   char *argv[])
{
	FILE  *file1;
	kfile *file2;
	int    i, len1, len2;
	long   position;
	char   buf[KLENGTH], kpath[KLENGTH], filename[KLENGTH];
	char   temp1[KLENGTH], temp2[KLENGTH], *path, *status1, *status2;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
        else
	   kexit(KEXIT_FAILURE);

	kremote_file("$KHOROS_TESTHOST", path, kpath);
	if ((file1 = fopen(path, "r"))  == NULL ||
	    (file2 = kfopen(kpath, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}
	setvbuf(file1, buf, _IOFBF, (size_t) KLENGTH);

	(void) fseek(file1,  (long) 0, SEEK_END); len1 = ftell(file1);
	(void) kfseek(file2, (long) 0, SEEK_END); len2 = kftell(file2);
	if (len1 != len2)
	{
	   kexit(KEXIT_FAILURE);
	}

	for (i = 0; i < len1; i++)
	{
	   position = (long) (kurng() * (len1-1));
	   fseek(file1, position, SEEK_SET);
	   kfseek(file2, position, SEEK_SET);
	   status1 = fgets(temp1, KLENGTH, file1);
	   status2 = kfgets(temp2, KLENGTH, file2);
	   if (status1 && status2)
	   {
	      if (kstrcmp(temp1, temp2) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else if (status1 || status2)
	      kexit(KEXIT_FAILURE);

	}
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
