#include "bootstrap.h"
 
void main(
   int  argc,
   char *argv[])
{
	int   i;
	kfile *file, *tmp;
	char  *cmd, command[KLENGTH];

	if (argc > 1)
	   cmd = argv[1];

	kremote_exec("$KHOROS_TESTHOST", cmd, command);
        if ((file = kpopen(command, "r")) == NULL)
           kexit(KEXIT_FAILURE);

	for (i = 0; i < 5; i++)
	{
           if ((tmp = kpopen(command, "r")) == NULL)
              kexit(KEXIT_FAILURE);

	   if (kfile_comparedata(kfileno(file), kfileno(tmp), (size_t) 0, NULL) != 0)
	   {
	      kfprintf(kstderr, "Comparing output of command '%s' incorrect\n",
			   command);
	      kexit(KEXIT_FAILURE);
	   }
	   kpclose(tmp);
	   krewind(file);
	}
	kprintf("Success!\n");
	kpclose(file);
	kexit(KEXIT_SUCCESS);
}
