#include "bootstrap.h"
 
main(
   int  argc,
   char *argv[])
{
	FILE  *file1;
	kfile *file2;
	char   buf[10*KLENGTH], filename[KLENGTH];
	char   temp1[10*KLENGTH], temp2[10*KLENGTH], *path;
	size_t i, size, size1, size2;
        long   len1, len2, position;


	if (argc > 1)
	   path = kfullpath(argv[1], NULL, filename);
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = fopen(path, "r"))  == NULL ||
	    (file2 = kfopen(path, "r")) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}
	setvbuf(file1, buf, _IOFBF, (size_t) KLENGTH);

	(void) fseek(file1,  (long) 0, SEEK_END); len1 = ftell(file1);
	(void) kfseek(file2, (long) 0, SEEK_END); len2 = kftell(file2);
	if (len1 != len2)
	{
	   kexit(KEXIT_FAILURE);
	}

	for (i = 0; i < len1; i++)
	{
	   size     = (size_t) (kurng() * (10*KLENGTH-1));
	   position = (long) (kurng() * (len1-1));
	   fseek(file1, position, SEEK_SET);
	   kfseek(file2, position, SEEK_SET);
	   size1 = fread(temp1, (size_t) 1, size, file1);
	   size2 = kfread(temp2, (size_t) 1, size, file2);
	   if (size1 == size2)
	   {
	      if (kmemcmp(temp1, temp2, size1) != 0)
		 kexit(KEXIT_FAILURE);
	   }
	   else
	      kexit(KEXIT_FAILURE);
	}
	fclose(file1); kfclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
