#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	char  *command;
	kfile *file1, *file2;

	if (argc > 1)
	   command = argv[1];
	else
           kexit(KEXIT_FAILURE);

        if ((file1 = kpopen(command, "r")) == NULL ||
            (file2 = kpopen(command, "r")) == NULL)
        {
           kexit(KEXIT_FAILURE);
        }

	if (kfile_comparedata(kfileno(file1),kfileno(file2),(size_t)0,NULL)!=0)
	{
	   kfprintf(kstderr, "Comparing output of command '%s' incorrect\n",
			command);
	   kexit(KEXIT_FAILURE);
	}
	kprintf("Success!\n");
	kpclose(file1); kpclose(file2);
	kexit(KEXIT_SUCCESS);
}
