#include "bootstrap.h"
 
int main(
   int  argc,
   char *argv[])
{
	kfile *file1, *file2;
	char  temp1[KLENGTH], temp2[KLENGTH], *path, *status1, *status2;


	if (argc > 1)
	   path = argv[1];
	else
	   kexit(KEXIT_FAILURE);

	if ((file1 = kfopen(path, "r"))  == NULL ||
	    (file2 = ktmpfile()) == NULL)
	{
	   kexit(KEXIT_FAILURE);
	}

	while ((status1 = kfgets(temp1, KLENGTH, file1)) != NULL)
	   kfputs(status1, file2);

	krewind(file1); krewind(file2);
	do
	{
	   status1 = kfgets(temp1, KLENGTH, file1);
	   status2 = kfgets(temp2, KLENGTH, file2);
	   if (status1 != NULL && status2 != NULL)
	   {
	      if (kstrcmp(temp1, temp2) != 0)
		 kexit(KEXIT_FAILURE);
	   }

	} while (status1 != NULL && status2 != NULL);

	if (status1 != NULL || status2 != NULL)
	   kexit(KEXIT_FAILURE);

	kfclose(file1); kfclose(file2);
	kprintf("Success!\n");
	kexit(KEXIT_SUCCESS);
}
