/*
 * Khoros: $Id: buffer.h,v 1.2 1996/04/04 23:06:48 fas Exp $
 */
 
 
/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: definitions and prototypes for 
   >>>>		       data services buffering code
   >>>>
   >>>>    Written By: Steve Kubica
   >>>>
   >>>>          Date: October 12, 1995
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kdataccess_buffer_h_
#define _kdataccess_buffer_h_


	/*-------------------------------------*
	|       #include
	---------------------------------------*/

#include <bootstrap.h>

	/*-------------------------------------*
	|       #defines
	---------------------------------------*/

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

   /*----------------------------------------------------------------
   |   kdas_buffer structure
   |   . . . . . . . . . . . . . . 
   |
   |   This is a buffer structure which simply consists of an
   |   arbitrary pointer to a block of data and a value saying
   |   how much data in bytes is being stored there.
   \-----------------------------------------------------------------*/
typedef struct _kdas_buffer 
{
   /*-- pointer to block of data --*/
   kaddr data;

   /*-- amount of data present --*/
   int   size;

} kdas_buffer;

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       macros
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

#endif /* _kdataccess_buffer_h_ */
/* Don't add after this point */
