#include <xvinclude.h>

/*
 *  This program restores the workspace of glyphs defined by:
 *  $SAMPLEDATA/examples/workspaces/simple_arith.wk
 */
main(
   int  argc,
   char *argv[])
{
	xvobject workspace;
	char  *filename = "workspaces:ColorArith1";

        /* initialize Khoros program */
        khoros_initialize(argc, argv, "DESIGN");

	/* initialize the xvwidgets lib */
	if (!xvw_initialize(XVW_MENUS_XVFORMS))
	{
	   kerror("example", "main", "unable to open display");
	   kexit(1);
	}

	/*
	 *  Create the workspace.  Note that since the parent is NULL, a
	 *  toplevel window will be created and the workspace display placed
	 *  inside.  The XVW_WORKSPACE_RESTORE attribute is used to specify 
         *  the workspace file to be restored.
	 */
	workspace = xvw_create_workspace(NULL, "workspace");
	xvw_set_attributes(workspace,
		XVW_WIDTH,             750,
		XVW_HEIGHT,            750,
		XVW_WORKSPACE_RESTORE, filename,
		NULL);

	/* display & run the program */
	xvf_run_form();
}
