/*
  * Khoros: $Id: ManagerObj.h,v 1.2 1996/05/12 22:50:29 mirage Exp $
  */


/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Attributes of Manager Object
   >>>>
   >>>>     Written By: Mark Young & Danielle Argiro & John Salas
   >>>>
   >>>>          Date: Aug 25, 1994
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kwidgets_ManagerObj_h_
#define _kwidgets_ManagerObj_h_

        /*-------------------------------------*
        |       #defines
        ---------------------------------------*/


/*------------------------------------------------------------------------
| Attribute:	XVW_FORCE_REDISPLAY
| Description:  
| Type:         int 
| Default:      FALSE 
| Legal Values: TRUE/FALSE 
| Resource:	forceRedisplay
------------------------------------------------------------------------*/
#define  XVW_FORCE_REDISPLAY   "forceRedisplay"


/*
 *  Define the Class name, by which people should be externally referencing
 *  the Manager Object by.
 */
#define ManagerGadgetClass	xvwManagerGadgetClass


        /*-------------------------------------*
        |       global variable declarations
        ---------------------------------------*/

/*
 *  XToolkit WidgetClass Declaration ManagerGadgetClass
 */
extern   WidgetClass     ManagerGadgetClass;


#endif /* _kwidgets_ManagerObj_h_ */
/* Do not add after this line */
