 /* Khoros: $Id: internals.h,v 1.6 1996/06/08 23:55:36 mirage Exp $ */

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private include file for Olit Widget Set
   >>>>
   >>>>    Written By: Danielle Argiro
   >>>>
   >>>>          Date: Jul 14, 1992
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _olit_internals_h_
#define _olit_internals_h_



	/*-------------------------------------*
	|       #include 
	---------------------------------------*/

#include <design.h>
#ifdef KOLIT_DEF
#include <xvinclude.h>
#include <xvwidgets/xvwidgetsP.h>

#undef XtRLong
#include <Xol/OpenLook.h>

#include <Xol/Scrollbar.h>
#include <Xol/ScrollingL.h>
#include <Xol/TextEdit.h>


	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

	/*-------------------------------------*
	|       #macros 
	---------------------------------------*/

	/*-------------------------------------*
	|       typedefs
	---------------------------------------*/

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/* utilities.c */
int xvw_get_misc             PROTO((xvobject, char *, kaddr));
int xvw_set_misc             PROTO((xvobject, char *, kaddr));
int xvw_get_textmulti        PROTO((xvobject, char *, kaddr));
int xvw_set_textmulti        PROTO((xvobject, char *, kaddr));
int xvw_get_textstring       PROTO((xvobject, char *, kaddr));
int xvw_set_textstring       PROTO((xvobject, char *, kaddr));
int xvw_get_scrollbar        PROTO((xvobject, char *, kaddr));
int xvw_set_scrollbar        PROTO((xvobject, char *, kaddr));
int xvw_set_orientation      PROTO((xvobject, char *, kaddr));
void xvw_update_scroll_value PROTO((xvobject, char *, kaddr, double *));
int xvw_get_list_num         PROTO((xvobject, char *, kaddr));
int xvw_set_list_num         PROTO((xvobject, char *, kaddr));
int xvw_get_list_highlight   PROTO((xvobject, char *, kaddr));
int xvw_set_list_highlight   PROTO((xvobject, char *, kaddr));
int xvw_set_list_unhighlight PROTO((xvobject, char *, kaddr));

void xvw_update_list_struct  PROTO((xvobject, char *, kaddr, int *,
				    xvw_list_struct *));

#else

/*
 * A kludge so that initialize.c compiles.
 */
typedef struct _XDisplay Display;

#endif /* KOLIT_DEF     */
#endif /* _Olit_internals_h_ */
/* Don't add after this point */
