#include <xvinclude.h>

/*
 * This simple program creates an imageicon object from the lizard image.
 */
void main(
   int  argc,
   char *argv[])
{
	xvobject imageicon;
	char *filename = "image:mandril";

        /* initialize Khoros program */
        khoros_initialize(argc, argv, "ENVISION");

	/* Initialize the xvwidgets lib. */
	if (!xvw_initialize(XVW_MENUS_XVFORMS))
	{
	   kerror(NULL, "main", "unable to open display");
	   kexit(KEXIT_FAILURE);
	}

	/* create the image icon with a size of (75 x 75) pixels */
	imageicon = xvw_create_imageicon(NULL, "imageicon");
	xvw_set_attributes(imageicon,
		           XVW_IMAGEICON_SIZE,  50,
		           XVW_IMAGE_IMAGEFILE, filename,
		           NULL);

	/* display & run; there is no way to exit the program but ^C */
	xvf_run_form();
}
