/* Khoros: $Id: initialize.c,v 1.5 1996/04/05 00:36:07 fas Exp $ */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: initialize.c,v 1.5 1996/04/05 00:36:07 fas Exp $";
#endif


/* Copyright (C) 1993 - 1996, Khoral Research, Inc.   All rights reserved. */
/* See $KHOROS/repos/copyright/Copyright for terms and conditions. */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>		Library Routine for blas
   >>>>		
   >>>>  Private:
   >>>>                 blas_initialize()
   >>>>                 cdabs_()
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#include "internals.h"


/*-----------------------------------------------------------
|
|  Routine Name: blas_initialize - a dummy routine for blas
|
|       Purpose: This is a dummy routine for blas, but you never know.
|
|         Input:
|        Output:
|       Returns: TRUE (1) on success, FALSE (0) otherwise
|
|    Written By: Jeremy Worley
|          Date: Apr 10, 1994
| Modifications:
|
------------------------------------------------------------*/

int blas_initialize(void)
{
	return(TRUE);
}

#if (defined(KOPSYS_OSF) || defined(KOPSYS_SUNOS) || defined(KOPSYS_SOLARIS) || defined(KOPSYS_LINUX)) && ( Usef2c || Useg77 )

/* cdabs.c by WG */

#include <f2c.h>

extern double f__cabs();

doublereal cdabs_(z)
     doublecomplex *z;
{
  return f__cabs(z->r, z->i);
}

#endif

