 /*
  * Khoros: $Id: usage.c,v 1.11 1996/07/05 03:22:25 mirage Exp $
  */

#if !defined(__lint) && !defined(__CODECENTER__)
static char rcsid[] = "Khoros: $Id: usage.c,v 1.11 1996/07/05 03:22:25 mirage Exp $";
#endif

/*
 * Copyright (C) 1993 - 1996, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */

#include "vgrow.h"
/*-----------------------------------------------------------
| 
|  Routine Name: vgrow_get_args
| 
|       Purpose: Gets command line args for vgrow
| 
|         Input: None
| 
|        Output: None
|    Written By: ghostwriter -oname vgrow
|          Date: Jul 04, 1996
| Modifications: 
| 
------------------------------------------------------------*/
void vgrow_get_args(
    kform *pane)
{

	static char *sync_error_mesg = "Generated code for vgrow is out of sync with arguments specified in vgrow's *.pane file; please rerun ghostwriter on vgrow.";


	/*
	 * allocate the vgrow structure
	 */
	clui_info = (clui_info_struct *) 
	       kcalloc((size_t)1, sizeof (clui_info_struct));

	if (!(kclui_get_infile(pane, "i",
			  &(clui_info->i_file),
			  &(clui_info->i_flag))))
	{
	    kerror(NULL, "vgrow_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}

	if (!(kclui_get_outfile(pane, "o",
			  &(clui_info->o_file),
			  &(clui_info->o_flag))))
	{
	    kerror(NULL, "vgrow_get_args", sync_error_mesg);
	    kexit(KEXIT_FAILURE);
	}


}



